/*
  Base Styles
  # primary color: #2482bb (Amalfi Blue)
  # primary grey: #6C6C6C
  # darker grey: #464646

  https://hexcolorpedia.com/color/?q=2482bb
  Hue Angle 90°, 120°, 210°, 240°, 330°
    #2482bb amalfi blue
    #a824bb pink spyro (almost purple)
    #bb2482 treasured love (almost pink)
    #bba824 earls green (dark yellow)
    #82bb24 cocktail green
    #24bba8 tealish (turquoise)
*/
body {
  background-color: white;
  font-family:
    Inter,
    ui-sans-serif,
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    Segoe UI,
    Roboto,
    Ubuntu,
    Helvetica Neue,
    Oxygen-Sans,
    Arial,
    Noto Sans,
    sans-serif,
    Apple Color Emoji,
    Segoe UI Emoji,
    Segoe UI Symbol,
    Noto Color Emoji;
  font-feature-settings: normal;
  font-variation-settings: normal;
  font-size: 1em;
  line-height: 1.4;
  margin: 0 auto;
  tab-size: 4;
  -webkit-text-size-adjust: 100%;
  -moz-tab-size: 4;
  -o-tab-size: 4;
}

/*
  Main Content Styles
*/
main {
  /* limit main content to ~10 words per line */
  max-width: 40em;
  margin: 2rem auto;
  width: 100%;
}

@media (max-width: $md) {
  main {
    padding: 0 5%;
  }
}

h1,
h2,
h3 {
  color: #2482bb;
  font-family: "Oswald", "Roboto", "Helvetica Neue", Helvetica, sans-serif;
  line-height: 1.125;
  margin-top: 1.5em;
  text-align: left;
}

h2 {
  color: #ba3637;
}

h3 {
  color: #0a476e;
}

hr {
  border-color: #eee;
  border-style: solid;
  border-width: 0px;
  margin: 1.25em;
}

a {
  border-radius: 4px;
  margin: 0 -0.25em;
  padding: 0 0.25em;
}

a,
a:visited {
  transition: all 300ms linear;
  color: #2e4951;
}

/* a:hover {
  background-color: #2482bb;
  color: white;
}
 */
code {
  background-color: #929292;
  border: 1px solid #6c6c6c;
  color: #ffa500;
  font-size: 125%;
  padding: 0 3px;
  white-space: pre-wrap;
}

ol,
ul {
  padding-left: 2em;
  text-align: left;
}

.image-container {
  position: relative;
}

.image-container img {
  transition: transform 0.3s ease;
}

.image-container:hover img {
  transform: scale(1.5); /* Adjust the scale value as needed */
  z-index: 50;
}
